internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >:

## Public Types

typedef KeyTraits::key_type | K
typedef KeyTraits::hash_compare_type | KHash
typedef KeyTrait< K, KHash, typename tbb::flow::tuple_element< 0, TypeTuple >::type > | KeyTrait0
typedef KeyTrait< K, KHash, typename tbb::flow::tuple_element< 1, TypeTuple >::type > | KeyTrait1
typedef KeyTrait< K, KHash, typename tbb::flow::tuple_element< 2, TypeTuple >::type > | KeyTrait2
typedef KeyTrait< K, KHash, typename tbb::flow::tuple_element< 3, TypeTuple >::type > | KeyTrait3
typedef tbb::flow::tuple< PT< KeyTrait0 >, PT< KeyTrait1 >, PT< KeyTrait2 >, PT< KeyTrait3 > > | type

## Detailed Description

### template<template< class > class PT, typename KeyTraits, typename TypeTuple>
struct internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >

Definition at line 131 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## K

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTraits::key_type internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::K

Definition at line 132 of file _flow_graph_types_impl.h.

## KeyTrait0

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTrait<K, KHash, typename tbb::flow::tuple_element<0,TypeTuple>::type> internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::KeyTrait0

Definition at line 134 of file _flow_graph_types_impl.h.

## KeyTrait1

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTrait<K, KHash, typename tbb::flow::tuple_element<1,TypeTuple>::type> internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::KeyTrait1

Definition at line 135 of file _flow_graph_types_impl.h.

## KeyTrait2

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTrait<K, KHash, typename tbb::flow::tuple_element<2,TypeTuple>::type> internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::KeyTrait2

Definition at line 136 of file _flow_graph_types_impl.h.

## KeyTrait3

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTrait<K, KHash, typename tbb::flow::tuple_element<3,TypeTuple>::type> internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::KeyTrait3

Definition at line 137 of file _flow_graph_types_impl.h.

## KHash

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTraits::hash_compare_type internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::KHash

Definition at line 133 of file _flow_graph_types_impl.h.

## type

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef tbb::flow::tuple< PT<KeyTrait0>, PT<KeyTrait1>, PT<KeyTrait2>, PT<KeyTrait3> > internal::wrap_key_tuple_elements< 4, PT, KeyTraits, TypeTuple >::type

Definition at line 139 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.